## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

#
Name:          openpgm
Version:       5.3.128
%global name_alias        pgm
%global version_main      5.3
%global version_dash_main 5-3
%global version_dash      %{version_dash_main}-128
Release:       %autorelease
Summary:       An implementation of the PGM reliable multicast protocol

License:       LGPL-2.1-or-later
# New URL is https://github.com/steve-o/openpgm
# The files are now on https://code.google.com/archive/p/openpgm/downloads
URL:           https://github.com/steve-o/%{name}
Source0:       https://github.com/steve-o/%{name}/archive/release-%{version_dash}.tar.gz#/%{name}-%{version}.tar.gz

# All the following patches have been submitted upstream
# as a merge request: https://github.com/steve-o/openpgm/pull/64
Patch2:        openpgm-02-checksum-arch.patch
Patch3:        openpgm-03-pkgconfig.patch
Patch6:        openpgm-configure-c99.patch
Patch7:        openpgm-c99.patch

BuildRequires: make
BuildRequires: libtool automake autoconf
BuildRequires: gcc
BuildRequires: python3
BuildRequires: dos2unix
BuildRequires: perl-interpreter


%description
OpenPGM is an open source implementation of the Pragmatic General
Multicast (PGM) specification in RFC 3208.


%package devel
Summary:       Development files for openpgm
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains OpenPGM related development libraries and header files.


%prep
%setup -q -n %{name}-release-%{version_dash}/%{name}/%{name_alias}
%patch -P2 -p3
%patch -P3 -p3
%patch -P6 -p3
%patch -P7 -p3
dos2unix examples/getopt.c examples/getopt.h
mv openpgm-5.2.pc.in openpgm-5.3.pc.in

%build
libtoolize --force --copy
aclocal
autoheader
automake --copy --add-missing
autoconf
%configure

# This package has a configure test which uses ASMs, but does not link the
# resultant .o files.  As such the ASM test is always successful, even on
# architectures were the ASM is not valid when compiling with LTO.
#
# -ffat-lto-objects is sufficient to address this issue.  It is the default
# for F33, but is expected to only be enabled for packages that need it in
# F34, so we use it here explicitly
%define _lto_cflags -flto=auto -ffat-lto-objects

%make_build

%install
%make_install

# Remove the static libraries and the temporary libtool artifacts
rm -f %{buildroot}%{_libdir}/lib%{name_alias}.{a,la}

# Move the header files into /usr/include
mv -f %{buildroot}%{_includedir}/%{name_alias}-%{version_main}/%{name_alias} %{buildroot}%{_includedir}/

%files
%doc COPYING
%license LICENSE
%{_libdir}/*.so.*

%files devel
%doc examples/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/openpgm-5.3.pc


%changelog
## START: Generated by rpmautospec
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.128-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Mon Jan 27 2025 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 5.3.128-4
- Rebuild in side tag

* Mon Jan 27 2025 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 5.3.128-3
- Fixed a build issue on i686

* Mon Jan 27 2025 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 5.3.128-2
- Upstream update

* Mon Jan 27 2025 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 5.3.128-1
- Upstream update

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.122-54
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Oct 17 2024 Troy Dawson <tdawson@redhat.com> - 5.2.122-53
- Fixed License: openpgm uses LGPL-2.1-or-later

* Mon Sep 02 2024 Miroslav Suchý <msuchy@redhat.com> - 5.2.122-52
- convert license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.122-51
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 30 2024 Software Management Team <packaging-team-maint@redhat.com> - 5.2.122-50
- Eliminate use of obsolete %%patchN syntax (#2283636)

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.122-49
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.122-48
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.122-47
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.122-46
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 03 2023 Florian Weimer <fweimer@redhat.com> - 5.2.122-45
- Bump NVR

* Tue Jan 03 2023 Florian Weimer <fweimer@redhat.com> - 5.2.122-44
- C99 compatibility fixes

* Tue Jan 03 2023 Florian Weimer <fweimer@redhat.com> - 5.2.122-43
- : openpgm-configure-c99.patch

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.122-42
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jan 25 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 5.2.122-41
- Move %%configure and associated steps to %%build

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.122-40
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.122-39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.122-38
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 07 2021 Tom Stellard <tstellar@redhat.com> - 5.2.122-37
- Add BuildRequires: make

* Fri Aug 21 2020 Jeff Law <law@redhat.com> - 5.2.122-36
- Re-enable LTO

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.122-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 14 2020 Jeff Law <law@redhat.com> - 5.2.122-34
- Disable LTO

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.122-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Nov 10 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 5.2.122-32
- The header files are now installed directly in /usr/include

* Wed Oct 30 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 5.2.122-31
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
